org.apache.mina.filter.codec

## Class ProtocolEncoderAdapter

- java.lang.Object
- - org.apache.mina.filter.codec.ProtocolEncoderAdapter

- All Implemented Interfaces:
    ProtocolEncoder
  Direct Known Subclasses:
    ImageResponseEncoder, ObjectSerializationEncoder, PrefixedStringEncoder, TextLineEncoder

      public abstract class ProtocolEncoderAdapter
      extends Object
      implements ProtocolEncoder

  An abstract `ProtocolEncoder` implementation for those who don't have any resources to dispose.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolEncoderAdapter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose(IoSession session)` Override this method dispose all resources related with this encoder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.mina.filter.codec.ProtocolEncoder

      `encode`

- - ### Constructor Detail

    - #### ProtocolEncoderAdapter

          public ProtocolEncoderAdapter()

  - ### Method Detail

    - #### dispose

          public void dispose(IoSession session)
                       throws Exception

      Override this method dispose all resources related with this encoder. The default implementation does nothing.
      Specified by:
        `dispose` in interface `ProtocolEncoder`
      Throws:
        `Exception` - if failed to dispose all resources

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.